javax.resource.spi

## Interface ManagedConnectionMetaData

-     public interface ManagedConnectionMetaData

  The ManagedConnectionMetaData interface provides information about the underlying EIS instance associated with a ManagedConnection instance. An application server uses this information to get runtime information about a connected EIS instance.

  The method ManagedConnection.getMetaData returns a ManagedConnectionMetaData instance.

  Version:
    0.8
  Author:
    Rahul Sharma
  See Also:
    `ManagedConnection`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEISProductName()` Returns Product name of the underlying EIS instance connected through the ManagedConnection.
    `String` | `getEISProductVersion()` Returns product version of the underlying EIS instance connected through the ManagedConnection.
    `int` | `getMaxConnections()` Returns maximum limit on number of active concurrent connections that an EIS instance can support across client processes.
    `String` | `getUserName()` Returns name of the user associated with the ManagedConnection instance.

- - ### Method Detail

    - #### getEISProductName

          String getEISProductName()
                                   throws ResourceException

      Returns Product name of the underlying EIS instance connected through the ManagedConnection.
      Returns:
        Product name of the EIS instance.
      Throws:
        `ResourceException`

    - #### getEISProductVersion

          String getEISProductVersion()
                                      throws ResourceException

      Returns product version of the underlying EIS instance connected through the ManagedConnection.
      Returns:
        Product version of the EIS instance
      Throws:
        `ResourceException`

    - #### getMaxConnections

          int getMaxConnections()
                                throws ResourceException

      Returns maximum limit on number of active concurrent connections that an EIS instance can support across client processes. If an EIS instance does not know about (or does not have) any such limit, it returns a 0.
      Returns:
        Maximum limit for number of active concurrent connections
      Throws:
        `ResourceException`

    - #### getUserName

          String getUserName()
                             throws ResourceException

      Returns name of the user associated with the ManagedConnection instance. The name corresponds to the resource principal under whose whose security context, a connection to the EIS instance has been established.
      Returns:
        name of the user
      Throws:
        `ResourceException`

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.